> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Higgsfield-Lite - Generate Video - gptproto

> Higgsfield-Lite — Generate Video (gptproto). GPTProto API reference.

Higgsfield's GPTProto format for the generate video API.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://gptproto.com/v1/higgsfield/generate" \
    -H "Authorization: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "prompt": "Generate a dance scene",
    "model": "higgsfield-lite",
    "motion_id": "5d0eee15-569c-4006-a1c7-46d1c42d9315",
    "enhance_prompt": true,
    "image": [
      "https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png"
    ],
    "seed": 1000,
    "height": 1080,
    "width": 720
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "gptproto/v1/higgsfield/generate"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "prompt": "Generate a dance scene",
    "model": "higgsfield-lite",
    "motion_id": "5d0eee15-569c-4006-a1c7-46d1c42d9315",
    "enhance_prompt": true,
    "image": [
      "https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png"
    ],
    "seed": 1000,
    "height": 1080,
    "width": 720
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "gptproto/v1/higgsfield/generate";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "prompt": "Generate a dance scene",
    "model": "higgsfield-lite",
    "motion_id": "5d0eee15-569c-4006-a1c7-46d1c42d9315",
    "enhance_prompt": true,
    "image": [
      "https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png"
    ],
    "seed": 1000,
    "height": 1080,
    "width": 720
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "gptproto/v1/higgsfield/generate"

      payload := []byte(`{
  "prompt": "Generate a dance scene",
  "model": "higgsfield-lite",
  "motion_id": "5d0eee15-569c-4006-a1c7-46d1c42d9315",
  "enhance_prompt": true,
  "image": [
  "https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png"
  ],
  "seed": 1000,
  "height": 1080,
  "width": 720
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter        | Type    | Required | Default                                                                                                                  | Description                      |
| ---------------- | ------- | -------- | ------------------------------------------------------------------------------------------------------------------------ | -------------------------------- |
| `prompt`         | string  | ✅ Yes    | `Generate a dance scene`                                                                                                 | Prompt parameter                 |
| `model`          | string  | ✅ Yes    | `higgsfield-lite`                                                                                                        | The model to use for the request |
| `motion_id`      | string  | ❌ No     | `5d0eee15-569c-4006-a1c7-46d1c42d9315`                                                                                   | Motion Id parameter              |
| `enhance_prompt` | boolean | ❌ No     | `true`                                                                                                                   | Enhance Prompt parameter         |
| `image`          | array   | ❌ No     | `[&quot;https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png&quot;]` | Image parameter                  |
| `seed`           | integer | ❌ No     | `1000`                                                                                                                   | Seed parameter                   |
| `height`         | integer | ❌ No     | `1080`                                                                                                                   | Height parameter                 |
| `width`          | integer | ❌ No     | `720`                                                                                                                    | Width parameter                  |
